Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_DynamicImplementation Class Reference

`#include <Dynamic_Implementation.h>`

Inheritance diagram for TAO_DynamicImplementation

[legend]
Collaboration diagram for TAO_DynamicImplementation:

[legend]
List of all members.

## Public Methods
virtual void | invoke (CORBA::ServerRequest_ptr request, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) = 0
virtual CORBA::RepositoryId | _primary_interface ( const PortableServer::ObjectId &oid, PortableServer::POA_ptr poa, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment () ) = 0
CORBA::Object_ptr | _this (CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
## Protected Methods
virtual const char* | _interface_repository_id (void) const
virtual void* | _downcast (const char *repository_id)
virtual TAO_Stub* | _create_stub (CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
virtual void | _dispatch (TAO_ServerRequest &request, void *context, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())

## Member Function Documentation

virtual TAO_Stub* TAO_DynamicImplementation::_create_stub ( | CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[protected, virtual]`

virtual void TAO_DynamicImplementation::_dispatch ( | TAO_ServerRequest & request,
| void * context,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[protected, virtual]`

void * TAO_DynamicImplementation::_downcast ( | const char * repository_id )`[protected, virtual]`

const char * TAO_DynamicImplementation::_interface_repository_id ( | void ) const`[protected, virtual]`

virtual CORBA::RepositoryId TAO_DynamicImplementation::_primary_interface ( | const PortableServer::ObjectId & oid,
| PortableServer::POA_ptr poa,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[pure virtual]`

CORBA::Object_ptr TAO_DynamicImplementation::_this ( | CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )

virtual void TAO_DynamicImplementation::invoke ( | CORBA::ServerRequest_ptr request,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[pure virtual]`

The documentation for this class was generated from the following files:

- Dynamic_Implementation.h
- Dynamic_Implementation.cpp